function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = _interopDefault(require('prop-types'));
var Select = _interopDefault(require('react-select'));

function _extends() {
  _extends = Object.assign || function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };

  return _extends.apply(this, arguments);
}

var districts = [
	{
		id: "1",
		division_id: "3",
		name: "Dhaka",
		bn_name: "ঢাকা",
		lat: "23.7115253",
		long: "90.4111451"
	},
	{
		id: "2",
		division_id: "3",
		name: "Faridpur",
		bn_name: "ফরিদপুর",
		lat: "23.6070822",
		long: "89.8429406"
	},
	{
		id: "3",
		division_id: "3",
		name: "Gazipur",
		bn_name: "গাজীপুর",
		lat: "24.0022858",
		long: "90.4264283"
	},
	{
		id: "4",
		division_id: "3",
		name: "Gopalganj",
		bn_name: "গোপালগঞ্জ",
		lat: "23.0050857",
		long: "89.8266059"
	},
	{
		id: "5",
		division_id: "8",
		name: "Jamalpur",
		bn_name: "জামালপুর",
		lat: "24.937533",
		long: "89.937775"
	},
	{
		id: "6",
		division_id: "3",
		name: "Kishoreganj",
		bn_name: "কিশোরগঞ্জ",
		lat: "24.444937",
		long: "90.776575"
	},
	{
		id: "7",
		division_id: "3",
		name: "Madaripur",
		bn_name: "মাদারীপুর",
		lat: "23.164102",
		long: "90.1896805"
	},
	{
		id: "8",
		division_id: "3",
		name: "Manikganj",
		bn_name: "মানিকগঞ্জ",
		lat: "23.8644",
		long: "90.0047"
	},
	{
		id: "9",
		division_id: "3",
		name: "Munshiganj",
		bn_name: "মুন্সিগঞ্জ",
		lat: "23.5422",
		long: "90.5305"
	},
	{
		id: "10",
		division_id: "8",
		name: "Mymensingh",
		bn_name: "ময়মনসিংহ",
		lat: "24.7471",
		long: "90.4203"
	},
	{
		id: "11",
		division_id: "3",
		name: "Narayanganj",
		bn_name: "নারায়াণগঞ্জ",
		lat: "23.63366",
		long: "90.496482"
	},
	{
		id: "12",
		division_id: "3",
		name: "Narsingdi",
		bn_name: "নরসিংদী",
		lat: "23.932233",
		long: "90.71541"
	},
	{
		id: "13",
		division_id: "8",
		name: "Netrokona",
		bn_name: "নেত্রকোণা",
		lat: "24.870955",
		long: "90.727887"
	},
	{
		id: "14",
		division_id: "3",
		name: "Rajbari",
		bn_name: "রাজবাড়ি",
		lat: "23.7574305",
		long: "89.6444665"
	},
	{
		id: "15",
		division_id: "3",
		name: "Shariatpur",
		bn_name: "শরীয়তপুর",
		lat: "23.2423",
		long: "90.4348"
	},
	{
		id: "16",
		division_id: "8",
		name: "Sherpur",
		bn_name: "শেরপুর",
		lat: "25.0204933",
		long: "90.0152966"
	},
	{
		id: "17",
		division_id: "3",
		name: "Tangail",
		bn_name: "টাঙ্গাইল",
		lat: "24.2513",
		long: "89.9167"
	},
	{
		id: "18",
		division_id: "5",
		name: "Bogura",
		bn_name: "বগুড়া",
		lat: "24.8465228",
		long: "89.377755"
	},
	{
		id: "19",
		division_id: "5",
		name: "Joypurhat",
		bn_name: "জয়পুরহাট",
		lat: "25.0968",
		long: "89.0227"
	},
	{
		id: "20",
		division_id: "5",
		name: "Naogaon",
		bn_name: "নওগাঁ",
		lat: "24.7936",
		long: "88.9318"
	},
	{
		id: "21",
		division_id: "5",
		name: "Natore",
		bn_name: "নাটোর",
		lat: "24.420556",
		long: "89.000282"
	},
	{
		id: "22",
		division_id: "5",
		name: "Nawabganj",
		bn_name: "নবাবগঞ্জ",
		lat: "24.5965034",
		long: "88.2775122"
	},
	{
		id: "23",
		division_id: "5",
		name: "Pabna",
		bn_name: "পাবনা",
		lat: "23.998524",
		long: "89.233645"
	},
	{
		id: "24",
		division_id: "5",
		name: "Rajshahi",
		bn_name: "রাজশাহী",
		lat: "24.3745",
		long: "88.6042"
	},
	{
		id: "25",
		division_id: "5",
		name: "Sirajgonj",
		bn_name: "সিরাজগঞ্জ",
		lat: "24.4533978",
		long: "89.7006815"
	},
	{
		id: "26",
		division_id: "6",
		name: "Dinajpur",
		bn_name: "দিনাজপুর",
		lat: "25.6217061",
		long: "88.6354504"
	},
	{
		id: "27",
		division_id: "6",
		name: "Gaibandha",
		bn_name: "গাইবান্ধা",
		lat: "25.328751",
		long: "89.528088"
	},
	{
		id: "28",
		division_id: "6",
		name: "Kurigram",
		bn_name: "কুড়িগ্রাম",
		lat: "25.805445",
		long: "89.636174"
	},
	{
		id: "29",
		division_id: "6",
		name: "Lalmonirhat",
		bn_name: "লালমনিরহাট",
		lat: "25.9923",
		long: "89.2847"
	},
	{
		id: "30",
		division_id: "6",
		name: "Nilphamari",
		bn_name: "নীলফামারী",
		lat: "25.931794",
		long: "88.856006"
	},
	{
		id: "31",
		division_id: "6",
		name: "Panchagarh",
		bn_name: "পঞ্চগড়",
		lat: "26.3411",
		long: "88.5541606"
	},
	{
		id: "32",
		division_id: "6",
		name: "Rangpur",
		bn_name: "রংপুর",
		lat: "25.7558096",
		long: "89.244462"
	},
	{
		id: "33",
		division_id: "6",
		name: "Thakurgaon",
		bn_name: "ঠাকুরগাঁও",
		lat: "26.0336945",
		long: "88.4616834"
	},
	{
		id: "34",
		division_id: "1",
		name: "Barguna",
		bn_name: "বরগুনা",
		lat: "22.0953",
		long: "90.1121"
	},
	{
		id: "35",
		division_id: "1",
		name: "Barishal",
		bn_name: "বরিশাল",
		lat: "22.7010",
		long: "90.3535"
	},
	{
		id: "36",
		division_id: "1",
		name: "Bhola",
		bn_name: "ভোলা",
		lat: "22.685923",
		long: "90.648179"
	},
	{
		id: "37",
		division_id: "1",
		name: "Jhalokati",
		bn_name: "ঝালকাঠি",
		lat: "22.6406",
		long: "90.1987"
	},
	{
		id: "38",
		division_id: "1",
		name: "Patuakhali",
		bn_name: "পটুয়াখালী",
		lat: "22.3596316",
		long: "90.3298712"
	},
	{
		id: "39",
		division_id: "1",
		name: "Pirojpur",
		bn_name: "পিরোজপুর",
		lat: "22.5841",
		long: "89.9720"
	},
	{
		id: "40",
		division_id: "2",
		name: "Bandarban",
		bn_name: "বান্দরবান",
		lat: "22.1953275",
		long: "92.2183773"
	},
	{
		id: "41",
		division_id: "2",
		name: "Brahmanbaria",
		bn_name: "ব্রাহ্মণবাড়িয়া",
		lat: "23.9570904",
		long: "91.1119286"
	},
	{
		id: "42",
		division_id: "2",
		name: "Chandpur",
		bn_name: "চাঁদপুর",
		lat: "23.2332585",
		long: "90.6712912"
	},
	{
		id: "43",
		division_id: "2",
		name: "Chattogram",
		bn_name: "চট্টগ্রাম",
		lat: "22.335109",
		long: "91.834073"
	},
	{
		id: "44",
		division_id: "2",
		name: "Cumilla",
		bn_name: "কুমিল্লা",
		lat: "23.4682747",
		long: "91.1788135"
	},
	{
		id: "45",
		division_id: "2",
		name: "Cox's Bazar",
		bn_name: "কক্স বাজার",
		lat: "21.4272",
		long: "92.0058"
	},
	{
		id: "46",
		division_id: "2",
		name: "Feni",
		bn_name: "ফেনী",
		lat: "23.0159",
		long: "91.3976"
	},
	{
		id: "47",
		division_id: "2",
		name: "Khagrachari",
		bn_name: "খাগড়াছড়ি",
		lat: "23.119285",
		long: "91.984663"
	},
	{
		id: "48",
		division_id: "2",
		name: "Lakshmipur",
		bn_name: "লক্ষ্মীপুর",
		lat: "22.942477",
		long: "90.841184"
	},
	{
		id: "49",
		division_id: "2",
		name: "Noakhali",
		bn_name: "নোয়াখালী",
		lat: "22.869563",
		long: "91.099398"
	},
	{
		id: "50",
		division_id: "2",
		name: "Rangamati",
		bn_name: "রাঙ্গামাটি",
		lat: "22.7324",
		long: "92.2985"
	},
	{
		id: "51",
		division_id: "7",
		name: "Habiganj",
		bn_name: "হবিগঞ্জ",
		lat: "24.374945",
		long: "91.41553"
	},
	{
		id: "52",
		division_id: "7",
		name: "Maulvibazar",
		bn_name: "মৌলভীবাজার",
		lat: "24.482934",
		long: "91.777417"
	},
	{
		id: "53",
		division_id: "7",
		name: "Sunamganj",
		bn_name: "সুনামগঞ্জ",
		lat: "25.0658042",
		long: "91.3950115"
	},
	{
		id: "54",
		division_id: "7",
		name: "Sylhet",
		bn_name: "সিলেট",
		lat: "24.8897956",
		long: "91.8697894"
	},
	{
		id: "55",
		division_id: "4",
		name: "Bagerhat",
		bn_name: "বাগেরহাট",
		lat: "22.651568",
		long: "89.785938"
	},
	{
		id: "56",
		division_id: "4",
		name: "Chuadanga",
		bn_name: "চুয়াডাঙ্গা",
		lat: "23.6401961",
		long: "88.841841"
	},
	{
		id: "57",
		division_id: "4",
		name: "Jashore",
		bn_name: "যশোর",
		lat: "23.16643",
		long: "89.2081126"
	},
	{
		id: "58",
		division_id: "4",
		name: "Jhenaidah",
		bn_name: "ঝিনাইদহ",
		lat: "23.5448176",
		long: "89.1539213"
	},
	{
		id: "59",
		division_id: "4",
		name: "Khulna",
		bn_name: "খুলনা",
		lat: "22.815774",
		long: "89.568679"
	},
	{
		id: "60",
		division_id: "4",
		name: "Kushtia",
		bn_name: "কুষ্টিয়া",
		lat: "23.901258",
		long: "89.120482"
	},
	{
		id: "61",
		division_id: "4",
		name: "Magura",
		bn_name: "মাগুরা",
		lat: "23.487337",
		long: "89.419956"
	},
	{
		id: "62",
		division_id: "4",
		name: "Meherpur",
		bn_name: "মেহেরপুর",
		lat: "23.762213",
		long: "88.631821"
	},
	{
		id: "63",
		division_id: "4",
		name: "Narail",
		bn_name: "নড়াইল",
		lat: "23.172534",
		long: "89.512672"
	},
	{
		id: "64",
		division_id: "4",
		name: "Satkhira",
		bn_name: "সাতক্ষীরা",
		lat: "22.7185",
		long: "89.0705"
	}
];
var districts$1 = {
	districts: districts
};

var Districts = function Districts(_ref) {
  var id = _ref.id,
      _onChange = _ref.onChange,
      bn = _ref.bn,
      className = _ref.className,
      lable = _ref.lable,
      changeLabel = _ref.changeLabel,
      placeholder = _ref.placeholder;
  var dist = districts$1 === null || districts$1 === void 0 ? void 0 : districts$1.districts.filter(function (f) {
    return f.division_id === id;
  });
  var data = [];

  for (var i = 0; i < dist.length; i++) {
    data.push(_extends({}, dist[i], {
      label: bn ? dist[i].bn_name : dist[i].name,
      value: dist[i].id
    }));
  }

  return /*#__PURE__*/React__default.createElement("div", {
    className: "form-location"
  }, (lable === undefined || lable === true) && /*#__PURE__*/React__default.createElement("label", null, changeLabel || (bn ? 'জেলা' : 'Districts')), /*#__PURE__*/React__default.createElement(Select, {
    defaultValue: [],
    name: "customers",
    options: data,
    className: "location-select " + className,
    placeholder: "" + (placeholder || 'Search district'),
    onChange: function onChange(e) {
      return _onChange(e, 'district');
    }
  }));
};

var divisions = [
	{
		id: "1",
		name: "Barishal",
		bn_name: "বরিশাল",
		lat: "22.701002",
		long: "90.353451"
	},
	{
		id: "2",
		name: "Chattogram",
		bn_name: "চট্টগ্রাম",
		lat: "22.356851",
		long: "91.783182"
	},
	{
		id: "3",
		name: "Dhaka",
		bn_name: "ঢাকা",
		lat: "23.810332",
		long: "90.412518"
	},
	{
		id: "4",
		name: "Khulna",
		bn_name: "খুলনা",
		lat: "22.845641",
		long: "89.540328"
	},
	{
		id: "5",
		name: "Rajshahi",
		bn_name: "রাজশাহী",
		lat: "24.363589",
		long: "88.624135"
	},
	{
		id: "6",
		name: "Rangpur",
		bn_name: "রংপুর",
		lat: "25.743892",
		long: "89.275227"
	},
	{
		id: "7",
		name: "Sylhet",
		bn_name: "সিলেট",
		lat: "24.894929",
		long: "91.868706"
	},
	{
		id: "8",
		name: "Mymensingh",
		bn_name: "ময়মনসিংহ",
		lat: "24.747149",
		long: "90.420273"
	}
];
var divisions$1 = {
	divisions: divisions
};

var Divisions = function Divisions(_ref) {
  var _onChange = _ref.onChange,
      bn = _ref.bn,
      className = _ref.className,
      lable = _ref.lable,
      changeLabel = _ref.changeLabel,
      placeholder = _ref.placeholder;
  var data = [];

  for (var i = 0; i < (divisions$1 === null || divisions$1 === void 0 ? void 0 : divisions$1.divisions.length); i++) {
    data.push(_extends({}, divisions$1 === null || divisions$1 === void 0 ? void 0 : divisions$1.divisions[i], {
      label: bn ? divisions$1 === null || divisions$1 === void 0 ? void 0 : divisions$1.divisions[i].bn_name : divisions$1 === null || divisions$1 === void 0 ? void 0 : divisions$1.divisions[i].name,
      value: divisions$1 === null || divisions$1 === void 0 ? void 0 : divisions$1.divisions[i].id
    }));
  }

  return /*#__PURE__*/React__default.createElement("div", {
    className: "form-location"
  }, (lable === undefined || lable === true) && /*#__PURE__*/React__default.createElement("label", null, changeLabel || (bn ? 'বিভাগ' : 'Divisions')), /*#__PURE__*/React__default.createElement(Select, {
    defaultValue: [],
    name: "customers",
    options: data,
    className: "location-select " + className,
    placeholder: "" + (placeholder || 'Search region'),
    onChange: function onChange(e) {
      return _onChange(e, 'division');
    }
  }));
};

var upazilas = [
	{
		id: "1",
		district_id: "34",
		name: "Amtali",
		bn_name: "আমতলী"
	},
	{
		id: "2",
		district_id: "34",
		name: "Bamna",
		bn_name: "বামনা"
	},
	{
		id: "3",
		district_id: "34",
		name: "Barguna Sadar",
		bn_name: "বরগুনা সদর"
	},
	{
		id: "4",
		district_id: "34",
		name: "Betagi",
		bn_name: "বেতাগি"
	},
	{
		id: "5",
		district_id: "34",
		name: "Patharghata",
		bn_name: "পাথরঘাটা"
	},
	{
		id: "6",
		district_id: "34",
		name: "Taltali",
		bn_name: "তালতলী"
	},
	{
		id: "7",
		district_id: "35",
		name: "Muladi",
		bn_name: "মুলাদি"
	},
	{
		id: "8",
		district_id: "35",
		name: "Babuganj",
		bn_name: "বাবুগঞ্জ"
	},
	{
		id: "9",
		district_id: "35",
		name: "Agailjhara",
		bn_name: "আগাইলঝরা"
	},
	{
		id: "10",
		district_id: "35",
		name: "Barisal Sadar",
		bn_name: "বরিশাল সদর"
	},
	{
		id: "11",
		district_id: "35",
		name: "Bakerganj",
		bn_name: "বাকেরগঞ্জ"
	},
	{
		id: "12",
		district_id: "35",
		name: "Banaripara",
		bn_name: "বানাড়িপারা"
	},
	{
		id: "13",
		district_id: "35",
		name: "Gaurnadi",
		bn_name: "গৌরনদী"
	},
	{
		id: "14",
		district_id: "35",
		name: "Hizla",
		bn_name: "হিজলা"
	},
	{
		id: "15",
		district_id: "35",
		name: "Mehendiganj",
		bn_name: "মেহেদিগঞ্জ "
	},
	{
		id: "16",
		district_id: "35",
		name: "Wazirpur",
		bn_name: "ওয়াজিরপুর"
	},
	{
		id: "17",
		district_id: "36",
		name: "Bhola Sadar",
		bn_name: "ভোলা সদর"
	},
	{
		id: "18",
		district_id: "36",
		name: "Burhanuddin",
		bn_name: "বুরহানউদ্দিন"
	},
	{
		id: "19",
		district_id: "36",
		name: "Char Fasson",
		bn_name: "চর ফ্যাশন"
	},
	{
		id: "20",
		district_id: "36",
		name: "Daulatkhan",
		bn_name: "দৌলতখান"
	},
	{
		id: "21",
		district_id: "36",
		name: "Lalmohan",
		bn_name: "লালমোহন"
	},
	{
		id: "22",
		district_id: "36",
		name: "Manpura",
		bn_name: "মনপুরা"
	},
	{
		id: "23",
		district_id: "36",
		name: "Tazumuddin",
		bn_name: "তাজুমুদ্দিন"
	},
	{
		id: "24",
		district_id: "37",
		name: "Jhalokati Sadar",
		bn_name: "ঝালকাঠি সদর"
	},
	{
		id: "25",
		district_id: "37",
		name: "Kathalia",
		bn_name: "কাঁঠালিয়া"
	},
	{
		id: "26",
		district_id: "37",
		name: "Nalchity",
		bn_name: "নালচিতি"
	},
	{
		id: "27",
		district_id: "37",
		name: "Rajapur",
		bn_name: "রাজাপুর"
	},
	{
		id: "28",
		district_id: "38",
		name: "Bauphal",
		bn_name: "বাউফল"
	},
	{
		id: "29",
		district_id: "38",
		name: "Dashmina",
		bn_name: "দশমিনা"
	},
	{
		id: "30",
		district_id: "38",
		name: "Galachipa",
		bn_name: "গলাচিপা"
	},
	{
		id: "31",
		district_id: "38",
		name: "Kalapara",
		bn_name: "কালাপারা"
	},
	{
		id: "32",
		district_id: "38",
		name: "Mirzaganj",
		bn_name: "মির্জাগঞ্জ "
	},
	{
		id: "33",
		district_id: "38",
		name: "Patuakhali Sadar",
		bn_name: "পটুয়াখালী সদর"
	},
	{
		id: "34",
		district_id: "38",
		name: "Dumki",
		bn_name: "ডুমকি"
	},
	{
		id: "35",
		district_id: "38",
		name: "Rangabali",
		bn_name: "রাঙ্গাবালি"
	},
	{
		id: "36",
		district_id: "39",
		name: "Bhandaria",
		bn_name: "ভ্যান্ডারিয়া"
	},
	{
		id: "37",
		district_id: "39",
		name: "Kaukhali",
		bn_name: "কাউখালি"
	},
	{
		id: "38",
		district_id: "39",
		name: "Mathbaria",
		bn_name: "মাঠবাড়িয়া"
	},
	{
		id: "39",
		district_id: "39",
		name: "Nazirpur",
		bn_name: "নাজিরপুর"
	},
	{
		id: "40",
		district_id: "39",
		name: "Nesarabad",
		bn_name: "নেসারাবাদ"
	},
	{
		id: "41",
		district_id: "39",
		name: "Pirojpur Sadar",
		bn_name: "পিরোজপুর সদর"
	},
	{
		id: "42",
		district_id: "39",
		name: "Zianagar",
		bn_name: "জিয়ানগর"
	},
	{
		id: "43",
		district_id: "40",
		name: "Bandarban Sadar",
		bn_name: "বান্দরবন সদর"
	},
	{
		id: "44",
		district_id: "40",
		name: "Thanchi",
		bn_name: "থানচি"
	},
	{
		id: "45",
		district_id: "40",
		name: "Lama",
		bn_name: "লামা"
	},
	{
		id: "46",
		district_id: "40",
		name: "Naikhongchhari",
		bn_name: "নাইখংছড়ি "
	},
	{
		id: "47",
		district_id: "40",
		name: "Ali kadam",
		bn_name: "আলী কদম"
	},
	{
		id: "48",
		district_id: "40",
		name: "Rowangchhari",
		bn_name: "রউয়াংছড়ি "
	},
	{
		id: "49",
		district_id: "40",
		name: "Ruma",
		bn_name: "রুমা"
	},
	{
		id: "50",
		district_id: "41",
		name: "Brahmanbaria Sadar",
		bn_name: "ব্রাহ্মণবাড়িয়া সদর"
	},
	{
		id: "51",
		district_id: "41",
		name: "Ashuganj",
		bn_name: "আশুগঞ্জ"
	},
	{
		id: "52",
		district_id: "41",
		name: "Nasirnagar",
		bn_name: "নাসির নগর"
	},
	{
		id: "53",
		district_id: "41",
		name: "Nabinagar",
		bn_name: "নবীনগর"
	},
	{
		id: "54",
		district_id: "41",
		name: "Sarail",
		bn_name: "সরাইল"
	},
	{
		id: "55",
		district_id: "41",
		name: "Shahbazpur Town",
		bn_name: "শাহবাজপুর টাউন"
	},
	{
		id: "56",
		district_id: "41",
		name: "Kasba",
		bn_name: "কসবা"
	},
	{
		id: "57",
		district_id: "41",
		name: "Akhaura",
		bn_name: "আখাউরা"
	},
	{
		id: "58",
		district_id: "41",
		name: "Bancharampur",
		bn_name: "বাঞ্ছারামপুর"
	},
	{
		id: "59",
		district_id: "41",
		name: "Bijoynagar",
		bn_name: "বিজয় নগর"
	},
	{
		id: "60",
		district_id: "42",
		name: "Chandpur Sadar",
		bn_name: "চাঁদপুর সদর"
	},
	{
		id: "61",
		district_id: "42",
		name: "Faridganj",
		bn_name: "ফরিদগঞ্জ"
	},
	{
		id: "62",
		district_id: "42",
		name: "Haimchar",
		bn_name: "হাইমচর"
	},
	{
		id: "63",
		district_id: "42",
		name: "Haziganj",
		bn_name: "হাজীগঞ্জ"
	},
	{
		id: "64",
		district_id: "42",
		name: "Kachua",
		bn_name: "কচুয়া"
	},
	{
		id: "65",
		district_id: "42",
		name: "Matlab Uttar",
		bn_name: "মতলব উত্তর"
	},
	{
		id: "66",
		district_id: "42",
		name: "Matlab Dakkhin",
		bn_name: "মতলব দক্ষিণ"
	},
	{
		id: "67",
		district_id: "42",
		name: "Shahrasti",
		bn_name: "শাহরাস্তি"
	},
	{
		id: "68",
		district_id: "43",
		name: "Anwara",
		bn_name: "আনোয়ারা"
	},
	{
		id: "69",
		district_id: "43",
		name: "Banshkhali",
		bn_name: "বাশখালি"
	},
	{
		id: "70",
		district_id: "43",
		name: "Boalkhali",
		bn_name: "বোয়ালখালি"
	},
	{
		id: "71",
		district_id: "43",
		name: "Chandanaish",
		bn_name: "চন্দনাইশ"
	},
	{
		id: "72",
		district_id: "43",
		name: "Fatikchhari",
		bn_name: "ফটিকছড়ি"
	},
	{
		id: "73",
		district_id: "43",
		name: "Hathazari",
		bn_name: "হাঠহাজারী"
	},
	{
		id: "74",
		district_id: "43",
		name: "Lohagara",
		bn_name: "লোহাগারা"
	},
	{
		id: "75",
		district_id: "43",
		name: "Mirsharai",
		bn_name: "মিরসরাই"
	},
	{
		id: "76",
		district_id: "43",
		name: "Patiya",
		bn_name: "পটিয়া"
	},
	{
		id: "77",
		district_id: "43",
		name: "Rangunia",
		bn_name: "রাঙ্গুনিয়া"
	},
	{
		id: "78",
		district_id: "43",
		name: "Raozan",
		bn_name: "রাউজান"
	},
	{
		id: "79",
		district_id: "43",
		name: "Sandwip",
		bn_name: "সন্দ্বীপ"
	},
	{
		id: "80",
		district_id: "43",
		name: "Satkania",
		bn_name: "সাতকানিয়া"
	},
	{
		id: "81",
		district_id: "43",
		name: "Sitakunda",
		bn_name: "সীতাকুণ্ড"
	},
	{
		id: "82",
		district_id: "44",
		name: "Barura",
		bn_name: "বড়ুরা"
	},
	{
		id: "83",
		district_id: "44",
		name: "Brahmanpara",
		bn_name: "ব্রাহ্মণপাড়া"
	},
	{
		id: "84",
		district_id: "44",
		name: "Burichong",
		bn_name: "বুড়িচং"
	},
	{
		id: "85",
		district_id: "44",
		name: "Chandina",
		bn_name: "চান্দিনা"
	},
	{
		id: "86",
		district_id: "44",
		name: "Chauddagram",
		bn_name: "চৌদ্দগ্রাম"
	},
	{
		id: "87",
		district_id: "44",
		name: "Daudkandi",
		bn_name: "দাউদকান্দি"
	},
	{
		id: "88",
		district_id: "44",
		name: "Debidwar",
		bn_name: "দেবীদ্বার"
	},
	{
		id: "89",
		district_id: "44",
		name: "Homna",
		bn_name: "হোমনা"
	},
	{
		id: "90",
		district_id: "44",
		name: "Comilla Sadar",
		bn_name: "কুমিল্লা সদর"
	},
	{
		id: "91",
		district_id: "44",
		name: "Laksam",
		bn_name: "লাকসাম"
	},
	{
		id: "92",
		district_id: "44",
		name: "Monohorgonj",
		bn_name: "মনোহরগঞ্জ"
	},
	{
		id: "93",
		district_id: "44",
		name: "Meghna",
		bn_name: "মেঘনা"
	},
	{
		id: "94",
		district_id: "44",
		name: "Muradnagar",
		bn_name: "মুরাদনগর"
	},
	{
		id: "95",
		district_id: "44",
		name: "Nangalkot",
		bn_name: "নাঙ্গালকোট"
	},
	{
		id: "96",
		district_id: "44",
		name: "Comilla Sadar South",
		bn_name: "কুমিল্লা সদর দক্ষিণ"
	},
	{
		id: "97",
		district_id: "44",
		name: "Titas",
		bn_name: "তিতাস"
	},
	{
		id: "98",
		district_id: "45",
		name: "Chakaria",
		bn_name: "চকরিয়া"
	},
	{
		id: "100",
		district_id: "45",
		name: "{{198}}''{{199}}",
		bn_name: "কক্স বাজার সদর"
	},
	{
		id: "101",
		district_id: "45",
		name: "Kutubdia",
		bn_name: "কুতুবদিয়া"
	},
	{
		id: "102",
		district_id: "45",
		name: "Maheshkhali",
		bn_name: "মহেশখালী"
	},
	{
		id: "103",
		district_id: "45",
		name: "Ramu",
		bn_name: "রামু"
	},
	{
		id: "104",
		district_id: "45",
		name: "Teknaf",
		bn_name: "টেকনাফ"
	},
	{
		id: "105",
		district_id: "45",
		name: "Ukhia",
		bn_name: "উখিয়া"
	},
	{
		id: "106",
		district_id: "45",
		name: "Pekua",
		bn_name: "পেকুয়া"
	},
	{
		id: "107",
		district_id: "46",
		name: "Feni Sadar",
		bn_name: "ফেনী সদর"
	},
	{
		id: "108",
		district_id: "46",
		name: "Chagalnaiya",
		bn_name: "ছাগল নাইয়া"
	},
	{
		id: "109",
		district_id: "46",
		name: "Daganbhyan",
		bn_name: "দাগানভিয়া"
	},
	{
		id: "110",
		district_id: "46",
		name: "Parshuram",
		bn_name: "পরশুরাম"
	},
	{
		id: "111",
		district_id: "46",
		name: "Fhulgazi",
		bn_name: "ফুলগাজি"
	},
	{
		id: "112",
		district_id: "46",
		name: "Sonagazi",
		bn_name: "সোনাগাজি"
	},
	{
		id: "113",
		district_id: "47",
		name: "Dighinala",
		bn_name: "দিঘিনালা "
	},
	{
		id: "114",
		district_id: "47",
		name: "Khagrachhari",
		bn_name: "খাগড়াছড়ি"
	},
	{
		id: "115",
		district_id: "47",
		name: "Lakshmichhari",
		bn_name: "লক্ষ্মীছড়ি"
	},
	{
		id: "116",
		district_id: "47",
		name: "Mahalchhari",
		bn_name: "মহলছড়ি"
	},
	{
		id: "117",
		district_id: "47",
		name: "Manikchhari",
		bn_name: "মানিকছড়ি"
	},
	{
		id: "118",
		district_id: "47",
		name: "Matiranga",
		bn_name: "মাটিরাঙ্গা"
	},
	{
		id: "119",
		district_id: "47",
		name: "Panchhari",
		bn_name: "পানছড়ি"
	},
	{
		id: "120",
		district_id: "47",
		name: "Ramgarh",
		bn_name: "রামগড়"
	},
	{
		id: "121",
		district_id: "48",
		name: "Lakshmipur Sadar",
		bn_name: "লক্ষ্মীপুর সদর"
	},
	{
		id: "122",
		district_id: "48",
		name: "Raipur",
		bn_name: "রায়পুর"
	},
	{
		id: "123",
		district_id: "48",
		name: "Ramganj",
		bn_name: "রামগঞ্জ"
	},
	{
		id: "124",
		district_id: "48",
		name: "Ramgati",
		bn_name: "রামগতি"
	},
	{
		id: "125",
		district_id: "48",
		name: "Komol Nagar",
		bn_name: "কমল নগর"
	},
	{
		id: "126",
		district_id: "49",
		name: "Noakhali Sadar",
		bn_name: "নোয়াখালী সদর"
	},
	{
		id: "127",
		district_id: "49",
		name: "Begumganj",
		bn_name: "বেগমগঞ্জ"
	},
	{
		id: "128",
		district_id: "49",
		name: "Chatkhil",
		bn_name: "চাটখিল"
	},
	{
		id: "129",
		district_id: "49",
		name: "Companyganj",
		bn_name: "কোম্পানীগঞ্জ"
	},
	{
		id: "130",
		district_id: "49",
		name: "Shenbag",
		bn_name: "শেনবাগ"
	},
	{
		id: "131",
		district_id: "49",
		name: "Hatia",
		bn_name: "হাতিয়া"
	},
	{
		id: "132",
		district_id: "49",
		name: "Kobirhat",
		bn_name: "কবিরহাট "
	},
	{
		id: "133",
		district_id: "49",
		name: "Sonaimuri",
		bn_name: "সোনাইমুরি"
	},
	{
		id: "134",
		district_id: "49",
		name: "Suborno Char",
		bn_name: "সুবর্ণ চর "
	},
	{
		id: "135",
		district_id: "50",
		name: "Rangamati Sadar",
		bn_name: "রাঙ্গামাটি সদর"
	},
	{
		id: "136",
		district_id: "50",
		name: "Belaichhari",
		bn_name: "বেলাইছড়ি"
	},
	{
		id: "137",
		district_id: "50",
		name: "Bagaichhari",
		bn_name: "বাঘাইছড়ি"
	},
	{
		id: "138",
		district_id: "50",
		name: "Barkal",
		bn_name: "বরকল"
	},
	{
		id: "139",
		district_id: "50",
		name: "Juraichhari",
		bn_name: "জুরাইছড়ি"
	},
	{
		id: "140",
		district_id: "50",
		name: "Rajasthali",
		bn_name: "রাজাস্থলি"
	},
	{
		id: "141",
		district_id: "50",
		name: "Kaptai",
		bn_name: "কাপ্তাই"
	},
	{
		id: "142",
		district_id: "50",
		name: "Langadu",
		bn_name: "লাঙ্গাডু"
	},
	{
		id: "143",
		district_id: "50",
		name: "Nannerchar",
		bn_name: "নান্নেরচর "
	},
	{
		id: "144",
		district_id: "50",
		name: "Kaukhali",
		bn_name: "কাউখালি"
	},
	{
		id: "145",
		district_id: "1",
		name: "Dhamrai",
		bn_name: "ধামরাই"
	},
	{
		id: "146",
		district_id: "1",
		name: "Dohar",
		bn_name: "দোহার"
	},
	{
		id: "147",
		district_id: "1",
		name: "Keraniganj",
		bn_name: "কেরানীগঞ্জ"
	},
	{
		id: "148",
		district_id: "1",
		name: "Nawabganj",
		bn_name: "নবাবগঞ্জ"
	},
	{
		id: "149",
		district_id: "1",
		name: "Savar",
		bn_name: "সাভার"
	},
	{
		id: "150",
		district_id: "2",
		name: "Faridpur Sadar",
		bn_name: "ফরিদপুর সদর"
	},
	{
		id: "151",
		district_id: "2",
		name: "Boalmari",
		bn_name: "বোয়ালমারী"
	},
	{
		id: "152",
		district_id: "2",
		name: "Alfadanga",
		bn_name: "আলফাডাঙ্গা"
	},
	{
		id: "153",
		district_id: "2",
		name: "Madhukhali",
		bn_name: "মধুখালি"
	},
	{
		id: "154",
		district_id: "2",
		name: "Bhanga",
		bn_name: "ভাঙ্গা"
	},
	{
		id: "155",
		district_id: "2",
		name: "Nagarkanda",
		bn_name: "নগরকান্ড"
	},
	{
		id: "156",
		district_id: "2",
		name: "Charbhadrasan",
		bn_name: "চরভদ্রাসন "
	},
	{
		id: "157",
		district_id: "2",
		name: "Sadarpur",
		bn_name: "সদরপুর"
	},
	{
		id: "158",
		district_id: "2",
		name: "Shaltha",
		bn_name: "শালথা"
	},
	{
		id: "159",
		district_id: "3",
		name: "Gazipur Sadar-Joydebpur",
		bn_name: "গাজীপুর সদর"
	},
	{
		id: "160",
		district_id: "3",
		name: "Kaliakior",
		bn_name: "কালিয়াকৈর"
	},
	{
		id: "161",
		district_id: "3",
		name: "Kapasia",
		bn_name: "কাপাসিয়া"
	},
	{
		id: "162",
		district_id: "3",
		name: "Sripur",
		bn_name: "শ্রীপুর"
	},
	{
		id: "163",
		district_id: "3",
		name: "Kaliganj",
		bn_name: "কালীগঞ্জ"
	},
	{
		id: "164",
		district_id: "3",
		name: "Tongi",
		bn_name: "টঙ্গি"
	},
	{
		id: "165",
		district_id: "4",
		name: "Gopalganj Sadar",
		bn_name: "গোপালগঞ্জ সদর"
	},
	{
		id: "166",
		district_id: "4",
		name: "Kashiani",
		bn_name: "কাশিয়ানি"
	},
	{
		id: "167",
		district_id: "4",
		name: "Kotalipara",
		bn_name: "কোটালিপাড়া"
	},
	{
		id: "168",
		district_id: "4",
		name: "Muksudpur",
		bn_name: "মুকসুদপুর"
	},
	{
		id: "169",
		district_id: "4",
		name: "Tungipara",
		bn_name: "টুঙ্গিপাড়া"
	},
	{
		id: "170",
		district_id: "5",
		name: "Dewanganj",
		bn_name: "দেওয়ানগঞ্জ"
	},
	{
		id: "171",
		district_id: "5",
		name: "Baksiganj",
		bn_name: "বকসিগঞ্জ"
	},
	{
		id: "172",
		district_id: "5",
		name: "Islampur",
		bn_name: "ইসলামপুর"
	},
	{
		id: "173",
		district_id: "5",
		name: "Jamalpur Sadar",
		bn_name: "জামালপুর সদর"
	},
	{
		id: "174",
		district_id: "5",
		name: "Madarganj",
		bn_name: "মাদারগঞ্জ"
	},
	{
		id: "175",
		district_id: "5",
		name: "Melandaha",
		bn_name: "মেলানদাহা"
	},
	{
		id: "176",
		district_id: "5",
		name: "Sarishabari",
		bn_name: "সরিষাবাড়ি "
	},
	{
		id: "177",
		district_id: "5",
		name: "Narundi Police I.C",
		bn_name: "নারুন্দি"
	},
	{
		id: "178",
		district_id: "6",
		name: "Astagram",
		bn_name: "অষ্টগ্রাম"
	},
	{
		id: "179",
		district_id: "6",
		name: "Bajitpur",
		bn_name: "বাজিতপুর"
	},
	{
		id: "180",
		district_id: "6",
		name: "Bhairab",
		bn_name: "ভৈরব"
	},
	{
		id: "181",
		district_id: "6",
		name: "Hossainpur",
		bn_name: "হোসেনপুর "
	},
	{
		id: "182",
		district_id: "6",
		name: "Itna",
		bn_name: "ইটনা"
	},
	{
		id: "183",
		district_id: "6",
		name: "Karimganj",
		bn_name: "করিমগঞ্জ"
	},
	{
		id: "184",
		district_id: "6",
		name: "Katiadi",
		bn_name: "কতিয়াদি"
	},
	{
		id: "185",
		district_id: "6",
		name: "Kishoreganj Sadar",
		bn_name: "কিশোরগঞ্জ সদর"
	},
	{
		id: "186",
		district_id: "6",
		name: "Kuliarchar",
		bn_name: "কুলিয়ারচর"
	},
	{
		id: "187",
		district_id: "6",
		name: "Mithamain",
		bn_name: "মিঠামাইন"
	},
	{
		id: "188",
		district_id: "6",
		name: "Nikli",
		bn_name: "নিকলি"
	},
	{
		id: "189",
		district_id: "6",
		name: "Pakundia",
		bn_name: "পাকুন্ডা"
	},
	{
		id: "190",
		district_id: "6",
		name: "Tarail",
		bn_name: "তাড়াইল"
	},
	{
		id: "191",
		district_id: "7",
		name: "Madaripur Sadar",
		bn_name: "মাদারীপুর সদর"
	},
	{
		id: "192",
		district_id: "7",
		name: "Kalkini",
		bn_name: "কালকিনি"
	},
	{
		id: "193",
		district_id: "7",
		name: "Rajoir",
		bn_name: "রাজইর"
	},
	{
		id: "194",
		district_id: "7",
		name: "Shibchar",
		bn_name: "শিবচর"
	},
	{
		id: "195",
		district_id: "8",
		name: "Manikganj Sadar",
		bn_name: "মানিকগঞ্জ সদর"
	},
	{
		id: "196",
		district_id: "8",
		name: "Singair",
		bn_name: "সিঙ্গাইর"
	},
	{
		id: "197",
		district_id: "8",
		name: "Shibalaya",
		bn_name: "শিবালয়"
	},
	{
		id: "198",
		district_id: "8",
		name: "Saturia",
		bn_name: "সাটুরিয়া"
	},
	{
		id: "199",
		district_id: "8",
		name: "Harirampur",
		bn_name: "হরিরামপুর"
	},
	{
		id: "200",
		district_id: "8",
		name: "Ghior",
		bn_name: "ঘিওর"
	},
	{
		id: "201",
		district_id: "8",
		name: "Daulatpur",
		bn_name: "দৌলতপুর"
	},
	{
		id: "202",
		district_id: "9",
		name: "Lohajang",
		bn_name: "লোহাজং"
	},
	{
		id: "203",
		district_id: "9",
		name: "Sreenagar",
		bn_name: "শ্রীনগর"
	},
	{
		id: "204",
		district_id: "9",
		name: "Munshiganj Sadar",
		bn_name: "মুন্সিগঞ্জ সদর"
	},
	{
		id: "205",
		district_id: "9",
		name: "Sirajdikhan",
		bn_name: "সিরাজদিখান"
	},
	{
		id: "206",
		district_id: "9",
		name: "Tongibari",
		bn_name: "টঙ্গিবাড়ি"
	},
	{
		id: "207",
		district_id: "9",
		name: "Gazaria",
		bn_name: "গজারিয়া"
	},
	{
		id: "208",
		district_id: "10",
		name: "Bhaluka",
		bn_name: "ভালুকা"
	},
	{
		id: "209",
		district_id: "10",
		name: "Trishal",
		bn_name: "ত্রিশাল"
	},
	{
		id: "210",
		district_id: "10",
		name: "Haluaghat",
		bn_name: "হালুয়াঘাট"
	},
	{
		id: "211",
		district_id: "10",
		name: "Muktagachha",
		bn_name: "মুক্তাগাছা"
	},
	{
		id: "212",
		district_id: "10",
		name: "Dhobaura",
		bn_name: "ধবারুয়া"
	},
	{
		id: "213",
		district_id: "10",
		name: "Fulbaria",
		bn_name: "ফুলবাড়িয়া"
	},
	{
		id: "214",
		district_id: "10",
		name: "Gaffargaon",
		bn_name: "গফরগাঁও"
	},
	{
		id: "215",
		district_id: "10",
		name: "Gauripur",
		bn_name: "গৌরিপুর"
	},
	{
		id: "216",
		district_id: "10",
		name: "Ishwarganj",
		bn_name: "ঈশ্বরগঞ্জ"
	},
	{
		id: "217",
		district_id: "10",
		name: "Mymensingh Sadar",
		bn_name: "ময়মনসিং সদর"
	},
	{
		id: "218",
		district_id: "10",
		name: "Nandail",
		bn_name: "নন্দাইল"
	},
	{
		id: "219",
		district_id: "10",
		name: "Phulpur",
		bn_name: "ফুলপুর"
	},
	{
		id: "220",
		district_id: "11",
		name: "Araihazar",
		bn_name: "আড়াইহাজার"
	},
	{
		id: "221",
		district_id: "11",
		name: "Sonargaon",
		bn_name: "সোনারগাঁও"
	},
	{
		id: "222",
		district_id: "11",
		name: "Bandar",
		bn_name: "বান্দার"
	},
	{
		id: "223",
		district_id: "11",
		name: "Naryanganj Sadar",
		bn_name: "নারায়ানগঞ্জ সদর"
	},
	{
		id: "224",
		district_id: "11",
		name: "Rupganj",
		bn_name: "রূপগঞ্জ"
	},
	{
		id: "225",
		district_id: "11",
		name: "Siddirgonj",
		bn_name: "সিদ্ধিরগঞ্জ"
	},
	{
		id: "226",
		district_id: "12",
		name: "Belabo",
		bn_name: "বেলাবো"
	},
	{
		id: "227",
		district_id: "12",
		name: "Monohardi",
		bn_name: "মনোহরদি"
	},
	{
		id: "228",
		district_id: "12",
		name: "Narsingdi Sadar",
		bn_name: "নরসিংদী সদর"
	},
	{
		id: "229",
		district_id: "12",
		name: "Palash",
		bn_name: "পলাশ"
	},
	{
		id: "230",
		district_id: "12",
		name: "Raipura, Narsingdi",
		bn_name: "রায়পুর"
	},
	{
		id: "231",
		district_id: "12",
		name: "Shibpur",
		bn_name: "শিবপুর"
	},
	{
		id: "232",
		district_id: "13",
		name: "Kendua Upazilla",
		bn_name: "কেন্দুয়া"
	},
	{
		id: "233",
		district_id: "13",
		name: "Atpara Upazilla",
		bn_name: "আটপাড়া"
	},
	{
		id: "234",
		district_id: "13",
		name: "Barhatta Upazilla",
		bn_name: "বরহাট্টা"
	},
	{
		id: "235",
		district_id: "13",
		name: "Durgapur Upazilla",
		bn_name: "দুর্গাপুর"
	},
	{
		id: "236",
		district_id: "13",
		name: "Kalmakanda Upazilla",
		bn_name: "কলমাকান্দা"
	},
	{
		id: "237",
		district_id: "13",
		name: "Madan Upazilla",
		bn_name: "মদন"
	},
	{
		id: "238",
		district_id: "13",
		name: "Mohanganj Upazilla",
		bn_name: "মোহনগঞ্জ"
	},
	{
		id: "239",
		district_id: "13",
		name: "Netrakona-S Upazilla",
		bn_name: "নেত্রকোনা সদর"
	},
	{
		id: "240",
		district_id: "13",
		name: "Purbadhala Upazilla",
		bn_name: "পূর্বধলা"
	},
	{
		id: "241",
		district_id: "13",
		name: "Khaliajuri Upazilla",
		bn_name: "খালিয়াজুরি"
	},
	{
		id: "242",
		district_id: "14",
		name: "Baliakandi",
		bn_name: "বালিয়াকান্দি"
	},
	{
		id: "243",
		district_id: "14",
		name: "Goalandaghat",
		bn_name: "গোয়ালন্দ ঘাট"
	},
	{
		id: "244",
		district_id: "14",
		name: "Pangsha",
		bn_name: "পাংশা"
	},
	{
		id: "245",
		district_id: "14",
		name: "Kalukhali",
		bn_name: "কালুখালি"
	},
	{
		id: "246",
		district_id: "14",
		name: "Rajbari Sadar",
		bn_name: "রাজবাড়ি সদর"
	},
	{
		id: "247",
		district_id: "15",
		name: "Shariatpur Sadar -Palong",
		bn_name: "শরীয়তপুর সদর "
	},
	{
		id: "248",
		district_id: "15",
		name: "Damudya",
		bn_name: "দামুদিয়া"
	},
	{
		id: "249",
		district_id: "15",
		name: "Naria",
		bn_name: "নড়িয়া"
	},
	{
		id: "250",
		district_id: "15",
		name: "Jajira",
		bn_name: "জাজিরা"
	},
	{
		id: "251",
		district_id: "15",
		name: "Bhedarganj",
		bn_name: "ভেদারগঞ্জ"
	},
	{
		id: "252",
		district_id: "15",
		name: "Gosairhat",
		bn_name: "গোসাইর হাট "
	},
	{
		id: "253",
		district_id: "16",
		name: "Jhenaigati",
		bn_name: "ঝিনাইগাতি"
	},
	{
		id: "254",
		district_id: "16",
		name: "Nakla",
		bn_name: "নাকলা"
	},
	{
		id: "255",
		district_id: "16",
		name: "Nalitabari",
		bn_name: "নালিতাবাড়ি"
	},
	{
		id: "256",
		district_id: "16",
		name: "Sherpur Sadar",
		bn_name: "শেরপুর সদর"
	},
	{
		id: "257",
		district_id: "16",
		name: "Sreebardi",
		bn_name: "শ্রীবরদি"
	},
	{
		id: "258",
		district_id: "17",
		name: "Tangail Sadar",
		bn_name: "টাঙ্গাইল সদর"
	},
	{
		id: "259",
		district_id: "17",
		name: "Sakhipur",
		bn_name: "সখিপুর"
	},
	{
		id: "260",
		district_id: "17",
		name: "Basail",
		bn_name: "বসাইল"
	},
	{
		id: "261",
		district_id: "17",
		name: "Madhupur",
		bn_name: "মধুপুর"
	},
	{
		id: "262",
		district_id: "17",
		name: "Ghatail",
		bn_name: "ঘাটাইল"
	},
	{
		id: "263",
		district_id: "17",
		name: "Kalihati",
		bn_name: "কালিহাতি"
	},
	{
		id: "264",
		district_id: "17",
		name: "Nagarpur",
		bn_name: "নগরপুর"
	},
	{
		id: "265",
		district_id: "17",
		name: "Mirzapur",
		bn_name: "মির্জাপুর"
	},
	{
		id: "266",
		district_id: "17",
		name: "Gopalpur",
		bn_name: "গোপালপুর"
	},
	{
		id: "267",
		district_id: "17",
		name: "Delduar",
		bn_name: "দেলদুয়ার"
	},
	{
		id: "268",
		district_id: "17",
		name: "Bhuapur",
		bn_name: "ভুয়াপুর"
	},
	{
		id: "269",
		district_id: "17",
		name: "Dhanbari",
		bn_name: "ধানবাড়ি"
	},
	{
		id: "270",
		district_id: "55",
		name: "Bagerhat Sadar",
		bn_name: "বাগেরহাট সদর"
	},
	{
		id: "271",
		district_id: "55",
		name: "Chitalmari",
		bn_name: "চিতলমাড়ি"
	},
	{
		id: "272",
		district_id: "55",
		name: "Fakirhat",
		bn_name: "ফকিরহাট"
	},
	{
		id: "273",
		district_id: "55",
		name: "Kachua",
		bn_name: "কচুয়া"
	},
	{
		id: "274",
		district_id: "55",
		name: "Mollahat",
		bn_name: "মোল্লাহাট "
	},
	{
		id: "275",
		district_id: "55",
		name: "Mongla",
		bn_name: "মংলা"
	},
	{
		id: "276",
		district_id: "55",
		name: "Morrelganj",
		bn_name: "মরেলগঞ্জ"
	},
	{
		id: "277",
		district_id: "55",
		name: "Rampal",
		bn_name: "রামপাল"
	},
	{
		id: "278",
		district_id: "55",
		name: "Sarankhola",
		bn_name: "স্মরণখোলা"
	},
	{
		id: "279",
		district_id: "56",
		name: "Damurhuda",
		bn_name: "দামুরহুদা"
	},
	{
		id: "280",
		district_id: "56",
		name: "Chuadanga-S",
		bn_name: "চুয়াডাঙ্গা সদর"
	},
	{
		id: "281",
		district_id: "56",
		name: "Jibannagar",
		bn_name: "জীবন নগর "
	},
	{
		id: "282",
		district_id: "56",
		name: "Alamdanga",
		bn_name: "আলমডাঙ্গা"
	},
	{
		id: "283",
		district_id: "57",
		name: "Abhaynagar",
		bn_name: "অভয়নগর"
	},
	{
		id: "284",
		district_id: "57",
		name: "Keshabpur",
		bn_name: "কেশবপুর"
	},
	{
		id: "285",
		district_id: "57",
		name: "Bagherpara",
		bn_name: "বাঘের পাড়া "
	},
	{
		id: "286",
		district_id: "57",
		name: "Jessore Sadar",
		bn_name: "যশোর সদর"
	},
	{
		id: "287",
		district_id: "57",
		name: "Chaugachha",
		bn_name: "চৌগাছা"
	},
	{
		id: "288",
		district_id: "57",
		name: "Manirampur",
		bn_name: "মনিরামপুর "
	},
	{
		id: "289",
		district_id: "57",
		name: "Jhikargachha",
		bn_name: "ঝিকরগাছা"
	},
	{
		id: "290",
		district_id: "57",
		name: "Sharsha",
		bn_name: "সারশা"
	},
	{
		id: "291",
		district_id: "58",
		name: "Jhenaidah Sadar",
		bn_name: "ঝিনাইদহ সদর"
	},
	{
		id: "292",
		district_id: "58",
		name: "Maheshpur",
		bn_name: "মহেশপুর"
	},
	{
		id: "293",
		district_id: "58",
		name: "Kaliganj",
		bn_name: "কালীগঞ্জ"
	},
	{
		id: "294",
		district_id: "58",
		name: "Kotchandpur",
		bn_name: "কোট চাঁদপুর "
	},
	{
		id: "295",
		district_id: "58",
		name: "Shailkupa",
		bn_name: "শৈলকুপা"
	},
	{
		id: "296",
		district_id: "58",
		name: "Harinakunda",
		bn_name: "হাড়িনাকুন্দা"
	},
	{
		id: "297",
		district_id: "59",
		name: "Terokhada",
		bn_name: "তেরোখাদা"
	},
	{
		id: "298",
		district_id: "59",
		name: "Batiaghata",
		bn_name: "বাটিয়াঘাটা "
	},
	{
		id: "299",
		district_id: "59",
		name: "Dacope",
		bn_name: "ডাকপে"
	},
	{
		id: "300",
		district_id: "59",
		name: "Dumuria",
		bn_name: "ডুমুরিয়া"
	},
	{
		id: "301",
		district_id: "59",
		name: "Dighalia",
		bn_name: "দিঘলিয়া"
	},
	{
		id: "302",
		district_id: "59",
		name: "Koyra",
		bn_name: "কয়ড়া"
	},
	{
		id: "303",
		district_id: "59",
		name: "Paikgachha",
		bn_name: "পাইকগাছা"
	},
	{
		id: "304",
		district_id: "59",
		name: "Phultala",
		bn_name: "ফুলতলা"
	},
	{
		id: "305",
		district_id: "59",
		name: "Rupsa",
		bn_name: "রূপসা"
	},
	{
		id: "306",
		district_id: "60",
		name: "Kushtia Sadar",
		bn_name: "কুষ্টিয়া সদর"
	},
	{
		id: "307",
		district_id: "60",
		name: "Kumarkhali",
		bn_name: "কুমারখালি"
	},
	{
		id: "308",
		district_id: "60",
		name: "Daulatpur",
		bn_name: "দৌলতপুর"
	},
	{
		id: "309",
		district_id: "60",
		name: "Mirpur",
		bn_name: "মিরপুর"
	},
	{
		id: "310",
		district_id: "60",
		name: "Bheramara",
		bn_name: "ভেরামারা"
	},
	{
		id: "311",
		district_id: "60",
		name: "Khoksa",
		bn_name: "খোকসা"
	},
	{
		id: "312",
		district_id: "61",
		name: "Magura Sadar",
		bn_name: "মাগুরা সদর"
	},
	{
		id: "313",
		district_id: "61",
		name: "Mohammadpur",
		bn_name: "মোহাম্মাদপুর"
	},
	{
		id: "314",
		district_id: "61",
		name: "Shalikha",
		bn_name: "শালিখা"
	},
	{
		id: "315",
		district_id: "61",
		name: "Sreepur",
		bn_name: "শ্রীপুর"
	},
	{
		id: "316",
		district_id: "62",
		name: "angni",
		bn_name: "আংনি"
	},
	{
		id: "317",
		district_id: "62",
		name: "Mujib Nagar",
		bn_name: "মুজিব নগর"
	},
	{
		id: "318",
		district_id: "62",
		name: "Meherpur-S",
		bn_name: "মেহেরপুর সদর"
	},
	{
		id: "319",
		district_id: "63",
		name: "Narail-S Upazilla",
		bn_name: "নড়াইল সদর"
	},
	{
		id: "320",
		district_id: "63",
		name: "Lohagara Upazilla",
		bn_name: "লোহাগাড়া"
	},
	{
		id: "321",
		district_id: "63",
		name: "Kalia Upazilla",
		bn_name: "কালিয়া"
	},
	{
		id: "322",
		district_id: "64",
		name: "Satkhira Sadar",
		bn_name: "সাতক্ষীরা সদর"
	},
	{
		id: "323",
		district_id: "64",
		name: "Assasuni",
		bn_name: "আসসাশুনি "
	},
	{
		id: "324",
		district_id: "64",
		name: "Debhata",
		bn_name: "দেভাটা"
	},
	{
		id: "325",
		district_id: "64",
		name: "Tala",
		bn_name: "তালা"
	},
	{
		id: "326",
		district_id: "64",
		name: "Kalaroa",
		bn_name: "কলরোয়া"
	},
	{
		id: "327",
		district_id: "64",
		name: "Kaliganj",
		bn_name: "কালীগঞ্জ"
	},
	{
		id: "328",
		district_id: "64",
		name: "Shyamnagar",
		bn_name: "শ্যামনগর"
	},
	{
		id: "329",
		district_id: "18",
		name: "Adamdighi",
		bn_name: "আদমদিঘী"
	},
	{
		id: "330",
		district_id: "18",
		name: "Bogra Sadar",
		bn_name: "বগুড়া সদর"
	},
	{
		id: "331",
		district_id: "18",
		name: "Sherpur",
		bn_name: "শেরপুর"
	},
	{
		id: "332",
		district_id: "18",
		name: "Dhunat",
		bn_name: "ধুনট"
	},
	{
		id: "333",
		district_id: "18",
		name: "Dhupchanchia",
		bn_name: "দুপচাচিয়া"
	},
	{
		id: "334",
		district_id: "18",
		name: "Gabtali",
		bn_name: "গাবতলি"
	},
	{
		id: "335",
		district_id: "18",
		name: "Kahaloo",
		bn_name: "কাহালু"
	},
	{
		id: "336",
		district_id: "18",
		name: "Nandigram",
		bn_name: "নন্দিগ্রাম"
	},
	{
		id: "337",
		district_id: "18",
		name: "Sahajanpur",
		bn_name: "শাহজাহানপুর"
	},
	{
		id: "338",
		district_id: "18",
		name: "Sariakandi",
		bn_name: "সারিয়াকান্দি"
	},
	{
		id: "339",
		district_id: "18",
		name: "Shibganj",
		bn_name: "শিবগঞ্জ"
	},
	{
		id: "340",
		district_id: "18",
		name: "Sonatala",
		bn_name: "সোনাতলা"
	},
	{
		id: "341",
		district_id: "19",
		name: "Joypurhat S",
		bn_name: "জয়পুরহাট সদর"
	},
	{
		id: "342",
		district_id: "19",
		name: "Akkelpur",
		bn_name: "আক্কেলপুর"
	},
	{
		id: "343",
		district_id: "19",
		name: "Kalai",
		bn_name: "কালাই"
	},
	{
		id: "344",
		district_id: "19",
		name: "Khetlal",
		bn_name: "খেতলাল"
	},
	{
		id: "345",
		district_id: "19",
		name: "Panchbibi",
		bn_name: "পাঁচবিবি"
	},
	{
		id: "346",
		district_id: "20",
		name: "Naogaon Sadar",
		bn_name: "নওগাঁ সদর"
	},
	{
		id: "347",
		district_id: "20",
		name: "Mohadevpur",
		bn_name: "মহাদেবপুর"
	},
	{
		id: "348",
		district_id: "20",
		name: "Manda",
		bn_name: "মান্দা"
	},
	{
		id: "349",
		district_id: "20",
		name: "Niamatpur",
		bn_name: "নিয়ামতপুর"
	},
	{
		id: "350",
		district_id: "20",
		name: "Atrai",
		bn_name: "আত্রাই"
	},
	{
		id: "351",
		district_id: "20",
		name: "Raninagar",
		bn_name: "রাণীনগর"
	},
	{
		id: "352",
		district_id: "20",
		name: "Patnitala",
		bn_name: "পত্নীতলা"
	},
	{
		id: "353",
		district_id: "20",
		name: "Dhamoirhat",
		bn_name: "ধামইরহাট "
	},
	{
		id: "354",
		district_id: "20",
		name: "Sapahar",
		bn_name: "সাপাহার"
	},
	{
		id: "355",
		district_id: "20",
		name: "Porsha",
		bn_name: "পোরশা"
	},
	{
		id: "356",
		district_id: "20",
		name: "Badalgachhi",
		bn_name: "বদলগাছি"
	},
	{
		id: "357",
		district_id: "21",
		name: "Natore Sadar",
		bn_name: "নাটোর সদর"
	},
	{
		id: "358",
		district_id: "21",
		name: "Baraigram",
		bn_name: "বড়াইগ্রাম"
	},
	{
		id: "359",
		district_id: "21",
		name: "Bagatipara",
		bn_name: "বাগাতিপাড়া"
	},
	{
		id: "360",
		district_id: "21",
		name: "Lalpur",
		bn_name: "লালপুর"
	},
	{
		id: "361",
		district_id: "21",
		name: "Natore Sadar",
		bn_name: "নাটোর সদর"
	},
	{
		id: "362",
		district_id: "21",
		name: "Baraigram",
		bn_name: "বড়াই গ্রাম"
	},
	{
		id: "363",
		district_id: "22",
		name: "Bholahat",
		bn_name: "ভোলাহাট"
	},
	{
		id: "364",
		district_id: "22",
		name: "Gomastapur",
		bn_name: "গোমস্তাপুর"
	},
	{
		id: "365",
		district_id: "22",
		name: "Nachole",
		bn_name: "নাচোল"
	},
	{
		id: "366",
		district_id: "22",
		name: "Nawabganj Sadar",
		bn_name: "নবাবগঞ্জ সদর"
	},
	{
		id: "367",
		district_id: "22",
		name: "Shibganj",
		bn_name: "শিবগঞ্জ"
	},
	{
		id: "368",
		district_id: "23",
		name: "Atgharia",
		bn_name: "আটঘরিয়া"
	},
	{
		id: "369",
		district_id: "23",
		name: "Bera",
		bn_name: "বেড়া"
	},
	{
		id: "370",
		district_id: "23",
		name: "Bhangura",
		bn_name: "ভাঙ্গুরা"
	},
	{
		id: "371",
		district_id: "23",
		name: "Chatmohar",
		bn_name: "চাটমোহর"
	},
	{
		id: "372",
		district_id: "23",
		name: "Faridpur",
		bn_name: "ফরিদপুর"
	},
	{
		id: "373",
		district_id: "23",
		name: "Ishwardi",
		bn_name: "ঈশ্বরদী"
	},
	{
		id: "374",
		district_id: "23",
		name: "Pabna Sadar",
		bn_name: "পাবনা সদর"
	},
	{
		id: "375",
		district_id: "23",
		name: "Santhia",
		bn_name: "সাথিয়া"
	},
	{
		id: "376",
		district_id: "23",
		name: "Sujanagar",
		bn_name: "সুজানগর"
	},
	{
		id: "377",
		district_id: "24",
		name: "Bagha",
		bn_name: "বাঘা"
	},
	{
		id: "378",
		district_id: "24",
		name: "Bagmara",
		bn_name: "বাগমারা"
	},
	{
		id: "379",
		district_id: "24",
		name: "Charghat",
		bn_name: "চারঘাট"
	},
	{
		id: "380",
		district_id: "24",
		name: "Durgapur",
		bn_name: "দুর্গাপুর"
	},
	{
		id: "381",
		district_id: "24",
		name: "Godagari",
		bn_name: "গোদাগারি"
	},
	{
		id: "382",
		district_id: "24",
		name: "Mohanpur",
		bn_name: "মোহনপুর"
	},
	{
		id: "383",
		district_id: "24",
		name: "Paba",
		bn_name: "পবা"
	},
	{
		id: "384",
		district_id: "24",
		name: "Puthia",
		bn_name: "পুঠিয়া"
	},
	{
		id: "385",
		district_id: "24",
		name: "Tanore",
		bn_name: "তানোর"
	},
	{
		id: "386",
		district_id: "25",
		name: "Sirajganj Sadar",
		bn_name: "সিরাজগঞ্জ সদর"
	},
	{
		id: "387",
		district_id: "25",
		name: "Belkuchi",
		bn_name: "বেলকুচি"
	},
	{
		id: "388",
		district_id: "25",
		name: "Chauhali",
		bn_name: "চৌহালি"
	},
	{
		id: "389",
		district_id: "25",
		name: "Kamarkhanda",
		bn_name: "কামারখান্দা"
	},
	{
		id: "390",
		district_id: "25",
		name: "Kazipur",
		bn_name: "কাজীপুর"
	},
	{
		id: "391",
		district_id: "25",
		name: "Raiganj",
		bn_name: "রায়গঞ্জ"
	},
	{
		id: "392",
		district_id: "25",
		name: "Shahjadpur",
		bn_name: "শাহজাদপুর"
	},
	{
		id: "393",
		district_id: "25",
		name: "Tarash",
		bn_name: "তারাশ"
	},
	{
		id: "394",
		district_id: "25",
		name: "Ullahpara",
		bn_name: "উল্লাপাড়া"
	},
	{
		id: "395",
		district_id: "26",
		name: "Birampur",
		bn_name: "বিরামপুর"
	},
	{
		id: "396",
		district_id: "26",
		name: "Birganj",
		bn_name: "বীরগঞ্জ"
	},
	{
		id: "397",
		district_id: "26",
		name: "Biral",
		bn_name: "বিড়াল"
	},
	{
		id: "398",
		district_id: "26",
		name: "Bochaganj",
		bn_name: "বোচাগঞ্জ"
	},
	{
		id: "399",
		district_id: "26",
		name: "Chirirbandar",
		bn_name: "চিরিরবন্দর"
	},
	{
		id: "400",
		district_id: "26",
		name: "Phulbari",
		bn_name: "ফুলবাড়ি"
	},
	{
		id: "401",
		district_id: "26",
		name: "Ghoraghat",
		bn_name: "ঘোড়াঘাট"
	},
	{
		id: "402",
		district_id: "26",
		name: "Hakimpur",
		bn_name: "হাকিমপুর"
	},
	{
		id: "403",
		district_id: "26",
		name: "Kaharole",
		bn_name: "কাহারোল"
	},
	{
		id: "404",
		district_id: "26",
		name: "Khansama",
		bn_name: "খানসামা"
	},
	{
		id: "405",
		district_id: "26",
		name: "Dinajpur Sadar",
		bn_name: "দিনাজপুর সদর"
	},
	{
		id: "406",
		district_id: "26",
		name: "Nawabganj",
		bn_name: "নবাবগঞ্জ"
	},
	{
		id: "407",
		district_id: "26",
		name: "Parbatipur",
		bn_name: "পার্বতীপুর"
	},
	{
		id: "408",
		district_id: "27",
		name: "Fulchhari",
		bn_name: "ফুলছড়ি"
	},
	{
		id: "409",
		district_id: "27",
		name: "Gaibandha sadar",
		bn_name: "গাইবান্ধা সদর"
	},
	{
		id: "410",
		district_id: "27",
		name: "Gobindaganj",
		bn_name: "গোবিন্দগঞ্জ"
	},
	{
		id: "411",
		district_id: "27",
		name: "Palashbari",
		bn_name: "পলাশবাড়ী"
	},
	{
		id: "412",
		district_id: "27",
		name: "Sadullapur",
		bn_name: "সাদুল্যাপুর"
	},
	{
		id: "413",
		district_id: "27",
		name: "Saghata",
		bn_name: "সাঘাটা"
	},
	{
		id: "414",
		district_id: "27",
		name: "Sundarganj",
		bn_name: "সুন্দরগঞ্জ"
	},
	{
		id: "415",
		district_id: "28",
		name: "Kurigram Sadar",
		bn_name: "কুড়িগ্রাম সদর"
	},
	{
		id: "416",
		district_id: "28",
		name: "Nageshwari",
		bn_name: "নাগেশ্বরী"
	},
	{
		id: "417",
		district_id: "28",
		name: "Bhurungamari",
		bn_name: "ভুরুঙ্গামারি"
	},
	{
		id: "418",
		district_id: "28",
		name: "Phulbari",
		bn_name: "ফুলবাড়ি"
	},
	{
		id: "419",
		district_id: "28",
		name: "Rajarhat",
		bn_name: "রাজারহাট"
	},
	{
		id: "420",
		district_id: "28",
		name: "Ulipur",
		bn_name: "উলিপুর"
	},
	{
		id: "421",
		district_id: "28",
		name: "Chilmari",
		bn_name: "চিলমারি"
	},
	{
		id: "422",
		district_id: "28",
		name: "Rowmari",
		bn_name: "রউমারি"
	},
	{
		id: "423",
		district_id: "28",
		name: "Char Rajibpur",
		bn_name: "চর রাজিবপুর"
	},
	{
		id: "424",
		district_id: "29",
		name: "Lalmanirhat Sadar",
		bn_name: "লালমনিরহাট সদর"
	},
	{
		id: "425",
		district_id: "29",
		name: "Aditmari",
		bn_name: "আদিতমারি"
	},
	{
		id: "426",
		district_id: "29",
		name: "Kaliganj",
		bn_name: "কালীগঞ্জ"
	},
	{
		id: "427",
		district_id: "29",
		name: "Hatibandha",
		bn_name: "হাতিবান্ধা"
	},
	{
		id: "428",
		district_id: "29",
		name: "Patgram",
		bn_name: "পাটগ্রাম"
	},
	{
		id: "429",
		district_id: "30",
		name: "Nilphamari Sadar",
		bn_name: "নীলফামারী সদর"
	},
	{
		id: "430",
		district_id: "30",
		name: "Saidpur",
		bn_name: "সৈয়দপুর"
	},
	{
		id: "431",
		district_id: "30",
		name: "Jaldhaka",
		bn_name: "জলঢাকা"
	},
	{
		id: "432",
		district_id: "30",
		name: "Kishoreganj",
		bn_name: "কিশোরগঞ্জ"
	},
	{
		id: "433",
		district_id: "30",
		name: "Domar",
		bn_name: "ডোমার"
	},
	{
		id: "434",
		district_id: "30",
		name: "Dimla",
		bn_name: "ডিমলা"
	},
	{
		id: "435",
		district_id: "31",
		name: "Panchagarh Sadar",
		bn_name: "পঞ্চগড় সদর"
	},
	{
		id: "436",
		district_id: "31",
		name: "Debiganj",
		bn_name: "দেবীগঞ্জ"
	},
	{
		id: "437",
		district_id: "31",
		name: "Boda",
		bn_name: "বোদা"
	},
	{
		id: "438",
		district_id: "31",
		name: "Atwari",
		bn_name: "আটোয়ারি"
	},
	{
		id: "439",
		district_id: "31",
		name: "Tetulia",
		bn_name: "তেঁতুলিয়া"
	},
	{
		id: "440",
		district_id: "32",
		name: "Badarganj",
		bn_name: "বদরগঞ্জ"
	},
	{
		id: "441",
		district_id: "32",
		name: "Mithapukur",
		bn_name: "মিঠাপুকুর"
	},
	{
		id: "442",
		district_id: "32",
		name: "Gangachara",
		bn_name: "গঙ্গাচরা"
	},
	{
		id: "443",
		district_id: "32",
		name: "Kaunia",
		bn_name: "কাউনিয়া"
	},
	{
		id: "444",
		district_id: "32",
		name: "Rangpur Sadar",
		bn_name: "রংপুর সদর"
	},
	{
		id: "445",
		district_id: "32",
		name: "Pirgachha",
		bn_name: "পীরগাছা"
	},
	{
		id: "446",
		district_id: "32",
		name: "Pirganj",
		bn_name: "পীরগঞ্জ"
	},
	{
		id: "447",
		district_id: "32",
		name: "Taraganj",
		bn_name: "তারাগঞ্জ"
	},
	{
		id: "448",
		district_id: "33",
		name: "Thakurgaon Sadar",
		bn_name: "ঠাকুরগাঁও সদর"
	},
	{
		id: "449",
		district_id: "33",
		name: "Pirganj",
		bn_name: "পীরগঞ্জ"
	},
	{
		id: "450",
		district_id: "33",
		name: "Baliadangi",
		bn_name: "বালিয়াডাঙ্গি"
	},
	{
		id: "451",
		district_id: "33",
		name: "Haripur",
		bn_name: "হরিপুর"
	},
	{
		id: "452",
		district_id: "33",
		name: "Ranisankail",
		bn_name: "রাণীসংকইল"
	},
	{
		id: "453",
		district_id: "51",
		name: "Ajmiriganj",
		bn_name: "আজমিরিগঞ্জ"
	},
	{
		id: "454",
		district_id: "51",
		name: "Baniachang",
		bn_name: "বানিয়াচং"
	},
	{
		id: "455",
		district_id: "51",
		name: "Bahubal",
		bn_name: "বাহুবল"
	},
	{
		id: "456",
		district_id: "51",
		name: "Chunarughat",
		bn_name: "চুনারুঘাট"
	},
	{
		id: "457",
		district_id: "51",
		name: "Habiganj Sadar",
		bn_name: "হবিগঞ্জ সদর"
	},
	{
		id: "458",
		district_id: "51",
		name: "Lakhai",
		bn_name: "লাক্ষাই"
	},
	{
		id: "459",
		district_id: "51",
		name: "Madhabpur",
		bn_name: "মাধবপুর"
	},
	{
		id: "460",
		district_id: "51",
		name: "Nabiganj",
		bn_name: "নবীগঞ্জ"
	},
	{
		id: "461",
		district_id: "51",
		name: "Shaistagonj",
		bn_name: "শায়েস্তাগঞ্জ"
	},
	{
		id: "462",
		district_id: "52",
		name: "Moulvibazar Sadar",
		bn_name: "মৌলভীবাজার"
	},
	{
		id: "463",
		district_id: "52",
		name: "Barlekha",
		bn_name: "বড়লেখা"
	},
	{
		id: "464",
		district_id: "52",
		name: "Juri",
		bn_name: "জুড়ি"
	},
	{
		id: "465",
		district_id: "52",
		name: "Kamalganj",
		bn_name: "কামালগঞ্জ"
	},
	{
		id: "466",
		district_id: "52",
		name: "Kulaura",
		bn_name: "কুলাউরা"
	},
	{
		id: "467",
		district_id: "52",
		name: "Rajnagar",
		bn_name: "রাজনগর"
	},
	{
		id: "468",
		district_id: "52",
		name: "Sreemangal",
		bn_name: "শ্রীমঙ্গল"
	},
	{
		id: "469",
		district_id: "53",
		name: "Bishwamvarpur",
		bn_name: "বিসশম্ভারপুর"
	},
	{
		id: "470",
		district_id: "53",
		name: "Chhatak",
		bn_name: "ছাতক"
	},
	{
		id: "471",
		district_id: "53",
		name: "Derai",
		bn_name: "দেড়াই"
	},
	{
		id: "472",
		district_id: "53",
		name: "Dharampasha",
		bn_name: "ধরমপাশা"
	},
	{
		id: "473",
		district_id: "53",
		name: "Dowarabazar",
		bn_name: "দোয়ারাবাজার"
	},
	{
		id: "474",
		district_id: "53",
		name: "Jagannathpur",
		bn_name: "জগন্নাথপুর"
	},
	{
		id: "475",
		district_id: "53",
		name: "Jamalganj",
		bn_name: "জামালগঞ্জ"
	},
	{
		id: "476",
		district_id: "53",
		name: "Sulla",
		bn_name: "সুল্লা"
	},
	{
		id: "477",
		district_id: "53",
		name: "Sunamganj Sadar",
		bn_name: "সুনামগঞ্জ সদর"
	},
	{
		id: "478",
		district_id: "53",
		name: "Shanthiganj",
		bn_name: "শান্তিগঞ্জ"
	},
	{
		id: "479",
		district_id: "53",
		name: "Tahirpur",
		bn_name: "তাহিরপুর"
	},
	{
		id: "480",
		district_id: "54",
		name: "Sylhet Sadar",
		bn_name: "সিলেট সদর"
	},
	{
		id: "481",
		district_id: "54",
		name: "Beanibazar",
		bn_name: "বেয়ানিবাজার"
	},
	{
		id: "482",
		district_id: "54",
		name: "Bishwanath",
		bn_name: "বিশ্বনাথ"
	},
	{
		id: "483",
		district_id: "54",
		name: "Dakshin Surma",
		bn_name: "দক্ষিণ সুরমা"
	},
	{
		id: "484",
		district_id: "54",
		name: "Balaganj",
		bn_name: "বালাগঞ্জ"
	},
	{
		id: "485",
		district_id: "54",
		name: "Companiganj",
		bn_name: "কোম্পানিগঞ্জ"
	},
	{
		id: "486",
		district_id: "54",
		name: "Fenchuganj",
		bn_name: "ফেঞ্চুগঞ্জ"
	},
	{
		id: "487",
		district_id: "54",
		name: "Golapganj",
		bn_name: "গোলাপগঞ্জ"
	},
	{
		id: "488",
		district_id: "54",
		name: "Gowainghat",
		bn_name: "গোয়াইনঘাট"
	},
	{
		id: "489",
		district_id: "54",
		name: "Jaintiapur",
		bn_name: "জয়ন্তপুর"
	},
	{
		id: "490",
		district_id: "54",
		name: "Kanaighat",
		bn_name: "কানাইঘাট"
	},
	{
		id: "491",
		district_id: "54",
		name: "Zakiganj",
		bn_name: "জাকিগঞ্জ"
	},
	{
		id: "492",
		district_id: "54",
		name: "Nobigonj",
		bn_name: "নবীগঞ্জ"
	},
	{
		id: "493",
		district_id: "45",
		name: "Eidgaon",
		bn_name: "ঈদগাঁও"
	},
	{
		id: "494",
		district_id: "53",
		name: "Modhyanagar",
		bn_name: "মধ্যনগর"
	},
	{
		id: "495",
		district_id: "7",
		name: "Dasar",
		bn_name: "দশর"
	}
];
var upazilas$1 = {
	upazilas: upazilas
};

var Upazilas = function Upazilas(_ref) {
  var id = _ref.id,
      _onChange = _ref.onChange,
      bn = _ref.bn,
      className = _ref.className,
      lable = _ref.lable,
      changeLabel = _ref.changeLabel,
      placeholder = _ref.placeholder;
  var dist = upazilas$1 === null || upazilas$1 === void 0 ? void 0 : upazilas$1.upazilas.filter(function (f) {
    return f.district_id === id;
  });
  var data = [];

  for (var i = 0; i < dist.length; i++) {
    data.push(_extends({}, dist[i], {
      label: bn ? dist[i].bn_name : dist[i].name,
      value: dist[i].id
    }));
  }

  return /*#__PURE__*/React__default.createElement("div", {
    className: "form-location"
  }, (lable === undefined || lable === true) && /*#__PURE__*/React__default.createElement("label", null, changeLabel || (bn ? 'উপজেলা' : 'Upazilas')), /*#__PURE__*/React__default.createElement(Select, {
    defaultValue: [],
    name: "customers",
    options: data,
    className: "location-select " + className,
    placeholder: "" + (placeholder || 'Search Upazila'),
    onChange: function onChange(e) {
      return _onChange(e, '');
    }
  }));
};

var BDLocations = function BDLocations(_ref) {
  var _selected$division, _selected$district;

  var onChange = _ref.onChange,
      bn = _ref.bn,
      className = _ref.className,
      showLable = _ref.showLable,
      label = _ref.label,
      placeholder = _ref.placeholder;

  var _useState = React.useState({
    division: [],
    district: []
  }),
      selected = _useState[0],
      setSelected = _useState[1];

  var onChangeHandler = function onChangeHandler(e, location) {
    if (location === 'division') setSelected(_extends({}, selected, {
      division: e
    }));
    if (location === 'district') setSelected(_extends({}, selected, {
      district: e
    }));
    onChange && onChange(e);
  };

  return /*#__PURE__*/React__default.createElement("div", {
    className: "dblocation"
  }, /*#__PURE__*/React__default.createElement(Divisions, {
    bn: bn,
    lable: showLable,
    className: className,
    changeLabel: label === null || label === void 0 ? void 0 : label.division,
    placeholder: placeholder === null || placeholder === void 0 ? void 0 : placeholder.division,
    onChange: function onChange(e, location) {
      return onChangeHandler(e, location);
    }
  }), selected.division && Object.keys(selected.division).length > 0 && /*#__PURE__*/React__default.createElement(Districts, {
    bn: bn,
    lable: showLable,
    className: className,
    id: (_selected$division = selected.division) === null || _selected$division === void 0 ? void 0 : _selected$division.id,
    onChange: function onChange(e, location) {
      return onChangeHandler(e, location);
    },
    changeLabel: label === null || label === void 0 ? void 0 : label.district,
    placeholder: placeholder === null || placeholder === void 0 ? void 0 : placeholder.district
  }), selected.district && Object.keys(selected.district).length > 0 && /*#__PURE__*/React__default.createElement(Upazilas, {
    bn: bn,
    lable: showLable,
    className: className,
    id: (_selected$district = selected.district) === null || _selected$district === void 0 ? void 0 : _selected$district.id,
    onChange: function onChange(e, location) {
      return onChangeHandler(e, location);
    },
    changeLabel: label === null || label === void 0 ? void 0 : label.upazila,
    placeholder: placeholder === null || placeholder === void 0 ? void 0 : placeholder.upazila
  }));
};

BDLocations.propTypes = {
  onChange: PropTypes.func,
  bn: PropTypes.bool,
  className: PropTypes.string,
  showLable: PropTypes.bool,
  label: PropTypes.shape({
    division: PropTypes.string,
    district: PropTypes.string,
    upazila: PropTypes.string
  }),
  placeholder: PropTypes.shape({
    division: PropTypes.string,
    district: PropTypes.string,
    upazila: PropTypes.string
  })
};

exports.BDLocations = BDLocations;
//# sourceMappingURL=index.js.map
